# parakeet-python
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import parakeet
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import parakeet
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function

import time
import parakeet
from parakeet.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = parakeet.Configuration(
    host = "http://localhost"
)



# Enter a context with an instance of the API client
with parakeet.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = parakeet.DefaultApi(api_client)
    tts_request = parakeet.TtsRequest() # TtsRequest |  (optional)

    try:
        # Text To Speech Streaming
        api_response = api_instance.text_to_speech_streaming_v1_tts_streaming_post(tts_request=tts_request)
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling DefaultApi->text_to_speech_streaming_v1_tts_streaming_post: %s\n" % e)
    
```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**text_to_speech_streaming_v1_tts_streaming_post**](docs/DefaultApi.md#text_to_speech_streaming_v1_tts_streaming_post) | **POST** /v1/tts_streaming | Text To Speech Streaming
*DefaultApi* | [**text_to_speech_v1_tts_post**](docs/DefaultApi.md#text_to_speech_v1_tts_post) | **POST** /v1/tts | Text To Speech


## Documentation For Models

 - [HttpValidationError](docs/HttpValidationError.md)
 - [SpeakerId](docs/SpeakerId.md)
 - [TtsRequest](docs/TtsRequest.md)
 - [ValidationError](docs/ValidationError.md)


## Documentation For Authorization

 All endpoints do not require authorization.

## Author




